<h2>Recent news</h2>
<table>
<% has_access = @logged_in_user.groups.include?(Group.find_by_name("frontpage"))  %>
<% for news in @news %>
  <tr class="<%= cycle('even', 'odd') %>">
  <td>
    <b><font color=#993300><%= news.title %>                   </font></b>
 <br>
<i><%= news.date.to_formatted_s(:short) %></i><br>
    <%= news.text %> 
    <% if has_access %>
      <%= link_to 'Edit', { :action => 'edit', :id => news }, { :title => 'Edit this news item' }%> |
      <%= link_to 'Delete', { :action => 'delete', :id => news }, { :title => 'Delete this news item', :confirm => 'Are you sure you want to delete this news item?' } %>
      <% end %>
      
</td></tr><% end %>
</table>

<%= link_to 'Previous page', { :page => @news_pages.current.previous } if @news_pages.current.previous %>
<%= link_to 'Next page', { :page => @news_pages.current.next } if @news_pages.current.next %> 

<br />

<% if has_access %><%= link_to 'Add new item', :action => 'new' %><% end %>
